import getCachedId from './getCachedId';
import updateCache from './updateCache';

var updateCacheOnChange = function updateCacheOnChange(key, ref, setStateAndGlobal) {
  ref.idRef.on('value', function (snapshot) {
    var id = snapshot.val();
    var cachedId = getCachedId(key);
    if (id !== cachedId) {
      return updateCache(key, ref.ref, id).then(function (value) {
        return setStateAndGlobal(key, value);
      });
    }
  });
};

export default updateCacheOnChange;