import { getLocalKey, getLocalKeyId } from '../getLocalKeys';

var updateCache = function updateCache(key, ref, id) {
  return ref.once('value').then(function (snapshot) {
    var value = snapshot.val();
    localStorage.setItem(getLocalKey(key), value);
    localStorage.setItem(getLocalKeyId(key), id);
    return value;
  });
};

export default updateCache;