'use strict';

exports.__esModule = true;

var _getLocalKeys = require('../getLocalKeys');

var updateCache = function updateCache(key, ref, id) {
  return ref.once('value').then(function (snapshot) {
    var value = snapshot.val();
    localStorage.setItem((0, _getLocalKeys.getLocalKey)(key), value);
    localStorage.setItem((0, _getLocalKeys.getLocalKeyId)(key), id);
    return value;
  });
};

exports.default = updateCache;
module.exports = exports['default'];