var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

import getCachedValue from './getCachedValue';
import updateCacheOnChange from './updateCacheOnChange';

var setupFirebaseRef = function setupFirebaseRef(key, ref, setStateAndGlobal, addListener) {
  if ((typeof ref === 'undefined' ? 'undefined' : _typeof(ref)) === 'object' && ref.idRef) {
    var value = getCachedValue(key);
    setStateAndGlobal(key, value);
    updateCacheOnChange(key, ref, setStateAndGlobal);
    return;
  }

  addListener(key, ref.ref || ref);
};

export default setupFirebaseRef;