'use strict';

exports.__esModule = true;

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var _getCachedValue = require('./getCachedValue');

var _getCachedValue2 = _interopRequireDefault(_getCachedValue);

var _updateCacheOnChange = require('./updateCacheOnChange');

var _updateCacheOnChange2 = _interopRequireDefault(_updateCacheOnChange);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var setupFirebaseRef = function setupFirebaseRef(key, ref, setStateAndGlobal, addListener) {
  if ((typeof ref === 'undefined' ? 'undefined' : _typeof(ref)) === 'object' && ref.idRef) {
    var value = (0, _getCachedValue2.default)(key);
    setStateAndGlobal(key, value);
    (0, _updateCacheOnChange2.default)(key, ref, setStateAndGlobal);
    return;
  }

  addListener(key, ref.ref || ref);
};

exports.default = setupFirebaseRef;
module.exports = exports['default'];